Subject: Re: bug#41570: 26.3; dired chown

From: "A. Peter Blicher" <[email-masked]>
Date: Tue, 8 Sep 2020 09:43:58 -0700

Well, I'd agree with that.  Right now the message I get is "chown not 
supported on this system"  The ambiguity is (a) sorry, we haven't gotten 
around to implementing that yet, vs (b) Your OS version doesn't provide the 
functionality to do it.

It wouldn't probably hurt to say "Try the Windows command line command 'takeown.'

--peter

On 9/7/2020 7:54 PM, Richard Stallman wrote:
> [[[ To any NSA and FBI agents reading my email: please consider    ]]]
> [[[ whether defending the US Constitution against all enemies,     ]]]
> [[[ foreign or domestic, requires you to follow Snowden's example. ]]]
> 
>    >   It's already the case in emacs
>    > that trying to do chown in Dired under Windows yields an error message.
> 
> My suggestion is to adjust the error message so that it clearly explains
> the situation.
> 
> Many programs sometimes report an error with an error message
> that doesn't tell the user what is wrong.  It is worth some effort
> to make our error messages explain clearly to users what the problem is
> and what caused it.  That way, they can tell what to do.
>